# Primary motor cortex (M1) circuits model
## Description
Multiscale model of mouse primary motor cortex (M1) developed using NetPyNE (www.netpyne.org).

The model is described in the following paper: 

- Dura-Bernal S, Neymotin SA, Suter BA, Dacre J, Moreira JVS, Urdapilleta E, Schiemann J, Duguid I, Shepherd GMG, Lytton WW. **Multiscale model of primary motor cortex circuits predicts in vivo cell type-specific, behavioral state-dependent dynamics.** BioRxiv 2022.02.03.479040; doi: https://doi.org/10.1101/2022.02.03.479040. (Under review in Cell Reports) 


## Setup and execution

This code can be used to reproduce the analysis and figures in the paper. It requires having access to the experimental data and data generated by the model -- see /data/README.md for instructions on how to download. 

Some analysis functions requires NetPyNE; see installations instructions here: http://netpyne.org/install.html#


For further information please contact: salvador.dura-bernal@downstate.edu.
